Bug 1130783 - [abrt] bluez: __gconv_open(): bluetoothd killed by SIGSEGV
Summary: [abrt] bluez: __gconv_open(): bluetoothd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1c8318cfcc48da32844d26047c7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 17:25 UTC by Moez Roy
Modified: 2015-06-29 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:06:37 UTC


Attachments (Terms of Use)
File: backtrace (36.66 KB, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: cgroup (168 bytes, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: core_backtrace (6.30 KB, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: dso_list (1.26 KB, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: environ (120 bytes, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: maps (6.18 KB, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: open_fds (687 bytes, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: proc_pid_status (904 bytes, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details
File: var_log_messages (21.48 KB, text/plain)
2014-08-17 17:25 UTC, Moez Roy
no flags Details

Description Moez Roy 2014-08-17 17:25:45 UTC
Version-Release number of selected component:
bluez-5.18-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: __gconv_open
executable:     /usr/libexec/bluetooth/bluetoothd
kernel:         3.15.10-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 __gconv_open at gconv_open.c:282
 #4 iconv_open at iconv_open.c:71
 #5 try_conversion at gconvert.c:199
 #6 g_iconv_open at gconvert.c:251
 #7 open_converter at gconvert.c:338
 #8 g_convert at gconvert.c:575
 #9 g_locale_to_utf8 at gconvert.c:919
 #10 g_strerror at gstrfuncs.c:1264
 #11 g_io_unix_close at giounix.c:325
 #12 g_io_channel_shutdown at giochannel.c:536

Potential duplicate: bug 911171

Comment 1 Moez Roy 2014-08-17 17:25:47 UTC
Created attachment 927517 [details]
File: backtrace

Comment 2 Moez Roy 2014-08-17 17:25:48 UTC
Created attachment 927518 [details]
File: cgroup

Comment 3 Moez Roy 2014-08-17 17:25:49 UTC
Created attachment 927519 [details]
File: core_backtrace

Comment 4 Moez Roy 2014-08-17 17:25:50 UTC
Created attachment 927520 [details]
File: dso_list

Comment 5 Moez Roy 2014-08-17 17:25:50 UTC
Created attachment 927521 [details]
File: environ

Comment 6 Moez Roy 2014-08-17 17:25:51 UTC
Created attachment 927522 [details]
File: exploitable

Comment 7 Moez Roy 2014-08-17 17:25:52 UTC
Created attachment 927523 [details]
File: limits

Comment 8 Moez Roy 2014-08-17 17:25:52 UTC
Created attachment 927524 [details]
File: maps

Comment 9 Moez Roy 2014-08-17 17:25:53 UTC
Created attachment 927525 [details]
File: open_fds

Comment 10 Moez Roy 2014-08-17 17:25:54 UTC
Created attachment 927526 [details]
File: proc_pid_status

Comment 11 Moez Roy 2014-08-17 17:25:55 UTC
Created attachment 927527 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:39:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:06:37 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.